Kurzmitteilung

Serverumgebung 0.308

Eine neue Version der Serverumgebung für pd-admin ist erschienen. Die Serverumgebung 0.308 steht ab sofort zum Download bereit.

Logo pd-admin - Buchstaben in hellem und dunklen Blau

Inhalt der Serverumgebung 0.308

Die Serverumgebung (SE) 0.308 für die Reihen

    1 - für i686,   mit MySQL 4.1
    2 - für i686,   mit MySQL 5.0
    3 - für i686,   mit MySQL 5.1
    4 - für x86_64, mit MySQL 5.5
    6 - für x86_64, mit MySQL 5.7 (Beta)
    7 - für x86_64, mit MariaDB 10.2 (experimentell)

ist zum Download bereitgestellt.

    Dateiname     : se-1-0.308.tar.gz
    MD5-Prüfsumme : 0c9988658a9b8128a18c636588bab2b2
    SHA1-Prüfsumme: 51fa244011a47323813bf88b2e6d25944bb74852

    Dateiname     : se-2-0.308.tar.gz
    MD5-Prüfsumme : 87298c0b2a7f71490f1693a8598eb355
    SHA1-Prüfsumme: ad4b58ad2aeb27a1c249a58d93f9853b01ee552a

    Dateiname     : se-3-0.308.tar.gz
    MD5-Prüfsumme : f11a0918cec42348b05aa9765f351345
    SHA1-Prüfsumme: def285cde6aa4bda72b17c79870aedfb2cd46c23

    Dateiname     : se-4-0.308.tar.gz
    MD5-Prüfsumme : 0cbe1f25b574d3812393980f62c40021
    SHA1-Prüfsumme: 47ff86c7c6c2be494771f7ad6d58fb29b0a37619

    Dateiname     : se-6-0.308.tar.gz
    MD5-Prüfsumme : 3ad23294ee026fecaabde613877ce963
    SHA1-Prüfsumme: 260cd79dfb6a4b29f22f425195d85e0cf45de282

    Dateiname     : se-7-0.308.tar.gz
    MD5-Prüfsumme : e589d34375783cc9ac75868087926545
    SHA1-Prüfsumme: ac10fd6edcf4f99d554d22d016532db38e0622b2


Änderungen ggü. der Version 0.307:

    · APCu 5.1.11 (PHP 7)
    · [1, 2, 3] [AP24] mod_mpm_event.so
    · curl 7.59.0
    · Dovecot 2.2.35
    · jpegsrc.v9c (Ticket 1381991)
    · libxml2 2.9.8
    · nghttp2-1.31.0
    · Pigeonhole 0.4.22 (Dovecot 2.2)
    · squirrelmail-20180319_0206-SVN.stable
    · squirrelmail-20180317_0206-SVN.locales
    · Squirrelmail: squirrelmail-fix-file-disclosure.diff
      https://gist.github.com/hannob/3c4f86863c418930ad08853c1109364e
      http://pdadmin-forum.de/thread.php?threadid=4795
    · Tomcat Connectors JK-1.2.43 (mod_jk)


Wann sollte die Serverumgebung geupdatet werden?
------------------------------------------------

Das Update wird wegen der Korrektur von Sicherheitsfehlern empfohlen.


Reihe 1, 2 und 3: Kompatibilität mit alten Betriebssystemversionen
------------------------------------------------------------------

Beginnend mit Version 0.308 werden die Reihen 1, 2 und 3 unter
Centos 5.11 gebaut, während zuvor SuSE 7.3 verwendet wurde. Die
Änderung ist notwendig geworden, weil sich einige Komponenten
(dovecot, PHP, Apache) nicht mit dem vollen Funktionsumfang
übersetzen ließen.

Sollten Sie eine der Reihen 1-3 unter einem veralteten
Betriebssystem einsetzen (z.B. unter Debian älter als "Lenny"),
müssen Sie vor dem Update der Serverumgebung Ihr Betriebssystem
upgraden oder Ihre Installation auf einen Server mit einer neueren
Betriebsystemversion migrieren.


Wie wird das Update durchgeführt?
---------------------------------

Wenn Sie bereits SE 0.037 bis 0.307 einsetzen:

1. Stellen Sie sicher, dass Ihr pd-admin auf dem aktuellen Stand
    ist.

2. Bitte verwenden Sie für alle Reihen das neue Update-Skript:

    wget http://download.pd-admin.de/seu3-2018012901.tar.gz
    tar xfz seu3-2018012901.tar.gz
    cd seu3
    ./se-update.sh

Quelle: Mailingliste news@pd-admin.de

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.